Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 2 > Installation/Configuration

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 29th July 2005, 01:12
bgarlock bgarlock is offline
Junior Member
 
Join Date: Jul 2005
Posts: 2
Thanks: 0
Thanked 1 Time in 1 Post
Default Error trying to install - on RH9

I keep getting the following error, when trying to install:

make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target `install'. Stop.
cp: cannot create regular file `/home/admispconfig/ispconfig/tools/clamav/COPYING': No such file or directory
cp: cannot create regular file `/home/admispconfig/ispconfig/tools/clamav/etc/clamav.conf': No such file or directory
cp: cannot create regular file `/home/admispconfig/ispconfig/tools/clamav/etc/freshclam.conf': No such file or directory
./compile: line 124: cd: /home/admispconfig/ispconfig/tools/clamav/etc/: No such file or directory
ln: `clamd.conf': File exists
./compile: line 126: cd: /home/admispconfig/ispconfig/tools/: No such file or directory
tar: clamav: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors
ERROR: Could not create clamav.tar.gz


Do I need to install clamav first? I could not find any reference to this in the install directions, but I might have missed it. I searched the forums, and did not find this as an issue.

Thanks for any help, and thank you so much for developing this software. Does it have any competition, besides Cpanel/WHM? OpenSource competition?

- Bruce
Reply With Quote
The Following User Says Thank You to bgarlock For This Useful Post:
AbannyvabVask (18th December 2013)
Sponsored Links
  #2  
Old 29th July 2005, 01:44
falko falko is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,735 Times in 2,571 Posts
Default

I guess that some packages needed by ClamAV are missing so that the compilation fails.

Can you download clamav-0.86.2.tar.gz (from www.clamav.net ), and then run these commands in order to find out why the compilation fails?

Code:
tar xvfz clamav-0.86.2.tar.gz
cd clamav-0.86.2
./configure --prefix=/home/admispconfig/ispconfig/tools/clamav --sysconfdir=/home/admispconfig/ispconfig/tools/clamav/etc --with-user=admispconfig --with-group=admispconfig --disable-clamav --disable-bzip2
make
make install
Can you post the errors here?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #3  
Old 29th July 2005, 04:25
bgarlock bgarlock is offline
Junior Member
 
Join Date: Jul 2005
Posts: 2
Thanks: 0
Thanked 1 Time in 1 Post
Default

Ahhh! Here is where it dies:

configure: error: The installed zlib version may contain a security bug. Please upgrade to 1.2.2 or later: http://www.zlib.net. You can omit this check with --disable-zlib-vcheck but DO NOT REPORT any stability issues then!


My guess is that the zlib I have, has backported security fixes, but clamav does not realize this. I will search the code for the configure script, and disable the zlib check, so things can proceed.

Thanks for the quick response!

- Bruce
Reply With Quote
  #4  
Old 29th July 2005, 16:40
maxx maxx is offline
Member
 
Join Date: Jul 2005
Location: Finland
Posts: 70
Thanks: 2
Thanked 0 Times in 0 Posts
Send a message via MSN to maxx Send a message via Skype™ to maxx
Thumbs up Just updating zlib will do it

run

apt-get install zlib zlib-devel

and start ISPconfig setup again ./setup
then it will work.
Reply With Quote
  #5  
Old 3rd August 2005, 02:32
cjkeeme cjkeeme is offline
Junior Member
 
Join Date: Aug 2005
Posts: 8
Thanks: 0
Thanked 0 Times in 0 Posts
Default Same problem.

I'm having the same problem. I have tried all posted solutions above and none work.

1. When doing this: Can you download clamav-0.86.2.tar.gz (from www.clamav.net ), and then run these commands in order to find out why the compilation fails?

I get the same error about the security flaw in zlib.

2. I tried to omit the check, but the turned up the same exact error in the setup.

3. I downloaded and installed zlib and zlib-devel only to receive the same error message.

This is the error message as posted above:
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target `install'. Stop.
cp: cannot create regular file `/home/admispconfig/ispconfig/tools/clamav/COPYING': No such file or directory
cp: cannot create regular file `/home/admispconfig/ispconfig/tools/clamav/etc/clamav.conf': No such file or directory
cp: cannot create regular file `/home/admispconfig/ispconfig/tools/clamav/etc/freshclam.conf': No such file or directory
./compile: line 124: cd: /home/admispconfig/ispconfig/tools/clamav/etc/: No such file or directory
ln: `clamd.conf': File exists
./compile: line 126: cd: /home/admispconfig/ispconfig/tools/: No such file or directory
tar: clamav: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors
ERROR: Could not create clamav.tar.gz


I am running SuSE 9.2 and have completed the "Perfect Setup" as outlined on the website.
Reply With Quote
  #6  
Old 3rd August 2005, 03:06
cjkeeme cjkeeme is offline
Junior Member
 
Join Date: Aug 2005
Posts: 8
Thanks: 0
Thanked 0 Times in 0 Posts
Default This is what I had to do.

I went to zlib.net and downloaded version 1.2.3 and installed it. That fixed the problem.

The APT database does not seem to have the latest version available.
Reply With Quote
  #7  
Old 17th August 2005, 03:15
m u r m u r is offline
Senior Member
 
Join Date: Jul 2005
Posts: 152
Thanks: 13
Thanked 1 Time in 1 Post
Send a message via AIM to m u r Send a message via MSN to m u r
Default

I am new to Linux. I got the same error. I downloaded zlib 1.2.3, but am unsure how to install the package. The package is in my home folder, and I tried "tar xvfz zlib-1.2.3.tar.gz" and "tar -zxvf zlib-1.2.3.tar.gz" . . . but I still get the error.
Reply With Quote
  #8  
Old 17th August 2005, 10:43
till till is online now
Super Moderator
 
Join Date: Apr 2005
Location: Lneburg, Germany
Posts: 35,473
Thanks: 813
Thanked 5,255 Times in 4,121 Posts
 
Default

Quote:
Originally Posted by m u r
I am new to Linux. I got the same error. I downloaded zlib 1.2.3, but am unsure how to install the package. The package is in my home folder, and I tried "tar xvfz zlib-1.2.3.tar.gz" and "tar -zxvf zlib-1.2.3.tar.gz" . . . but I still get the error.
Have you configured, compiled and installed the package as described by domino in this post?

http://www.howtoforge.com/forums/showthread.php?t=302
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 16:45.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.